## net.sf.jftp.gui.base.dir
Interface Dir

All Known Implementing Classes:
  DirComponent, DirPanel, LocalDir, RemoteDir

    public interface Dir

Method Summary
`void` `actionPerformed(java.lang.Object target, java.lang.String message)`
`void` `fresh()`
`BasicConnection` `getCon()`
`java.lang.String` `getPath()`
`java.lang.String` `getType()`
`void` `lock(boolean isNotification)`
`void` `setCon(BasicConnection con)`
`void` `setDownloadList(DownloadList list)`
`boolean` `setPath(java.lang.String path)`
`void` `setType(java.lang.String type)`
`void` `unlock(boolean isNotification)`

Method Detail

### setDownloadList

    void setDownloadList(DownloadList list)

### getCon

    BasicConnection getCon()

### setCon

    void setCon(BasicConnection con)

### actionPerformed

    void actionPerformed(java.lang.Object target,
                         java.lang.String message)

### getPath

    java.lang.String getPath()

### setPath

    boolean setPath(java.lang.String path)

### getType

    java.lang.String getType()

### setType

    void setType(java.lang.String type)

### fresh

    void fresh()

### lock

    void lock(boolean isNotification)

### unlock

    void unlock(boolean isNotification)